<?php
include_once('c_poll_theme_card.php');

class c_page_cab_poll_theme_card_new_question extends c_page_cab_poll_theme_card
{
    public $h1='Опросы - карточка темы - форма добавления нового вопроса';

    function block_main()
    {
        $this->panel_poll_tiket_create() ;
    }

    var $mode=1 ; // ответы по баллам


    function panel_poll_tiket_create()
    {  //damp_array($this->rec_section);
        $arr=TREE('view_poll_tree')->get_arr_parents_names($this->rec_section['pkey'],array('from_level'=>2)) ;
       echo '<h1>'.implode(' / ',$arr).' - новый вопрос</h1>'  ;


        $form=new i_form() ;
        $form->form_open();
        $form->fieldset_open();
        $form->row_open();
        $this->section_textarea(['type'=>'text','name'=>'question[obj_name]','title'=>'Вопрос','placeholder'=>'Текст вопроса опроса..','col_count'=>'0','style'=>'height:200px;']) ;
        $form->row_close() ;
        $form->row_open();
        $form->section_select(['name'=>'question[answer_type]','title'=>'Варианты ответов','recs'=>POLL()->answer_types,'nospace_element'=>1]) ;
        $form->row_close() ;
        $form->fieldset_close();

        ?><script type="text/javascript">
          $j('#select_question_answer_type').change(function()
          {
            console.log($j(this).val()) ;
            if ($j(this).val()==1) $j('div#panel_answers').hide() ;
            else                   $j('div#panel_answers').show() ;
          })

        </script>
        <div id="panel_answers" style="display:none;">
          <h3>Варианты ответов:</h3>
            <table class="basic fz_small full auto left" style="text-align:left;">
                 <tr><th style="width:5%;">№ ответа</th>
                     <th>Текст ответа</th>
                     <td rowspan="5" style="width:20%;"><?
                          include(_DIR_EXT.'/upload_files/panel_upload_files.php')  ;
                          panel_upload_files(array('text'=>'Перетяните и отпустите сюда<br>методические материалы по билету')) ;
                       ?></th></tr>
             <?for($i=1;$i<=4;$i++){?>
              <tr>
                  <td><label class="input"><input type="text" style="width:50px;" name="answer[<?echo $i?>][indx]" no_autocomplete value="<?echo $i?>"></label></td>
                  <td><label class="textarea"><textarea name="answer[<?echo $i?>][obj_name]" no_autocomplete></textarea></label></td>
             </tr>
             <?}?></table>
        </div>
        <br>
       <?

        // в качесте parent_id gередаем сразу _tree_id
        $form->button('Добавить вопрос','poll/tiket_create',['parent_id'=>$this->rec_section['pkey']]);
        $form->form_close() ;
/*
    	?><div id="panel_filter"><form id="sky-form" class="sky-form">
    	          <h3>Вопрос:</h3>
    	          <label class="input"><input type="text" name="question[obj_name]" no_autocomplete value=""></label>
    	          <br>
    	          <h3>Варианты ответов:</h3>
    	          <table class="basic fz_small full auto left" style="text-align:left;">
    	               <tr><th style="width:5%;">№ ответа</th>
    	                   <th>Текст ответа</th>
    	                   <td rowspan="5" style="width:20%;"><?
                              include(_DIR_EXT.'/upload_files/panel_upload_files.php')  ;
                              panel_upload_files(array('text'=>'Перетяните и отпустите сюда<br>иллюстрацию к вопросу')) ;
                           ?></th></tr>
    	           <?for($i=1;$i<=4;$i++){?>
    	            <tr>
    	                <td><label class="input"><input type="text" style="width:50px;" name="answer[<?echo $i?>][indx]" no_autocomplete value="<?echo $i?>"></label></td>
    	                <td><label class="textarea"><textarea name="answer[<?echo $i?>][obj_name]" no_autocomplete></textarea></label></td>
    	           </tr>
    	           <?}?></table>
    	        <br>
    	            <div id="panel_buttons">
    	                 <input type="submit" class="button v2" cmd="poll/tiket_create" parent_id=<?echo $this->rec_section['pkey']?> value="Добавить вопрос" validate="form">
    	            </div>
    	            </form>
    	            </div>
    	            <?
*/

    }



}

?>
